%global momorel 3

Summary:        A library for reading EPub documents
Name:           ebook-tools
Version:        0.1.1
Release:        %{momorel}m%{?dist}
License:        MIT
Group:          System Environment/Libraries
URL:            http://sourceforge.net/projects/ebook-tools
Source0:	http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
NoSource:	0
Patch0:		ebook-tools-0.1.1-lib64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libzip-devel
BuildRequires:  libxml2-devel
BuildRequires:  cmake

%description
Tools for accessing and converting various ebook file formats

%package devel
Summary: Files needed for development using %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%ifarch x86_64
%patch0 -p1 -b .lib64
%endif

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%{cmake} .
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc INSTALL LICENSE README TODO
%{_bindir}/einfo
%{_bindir}/lit2epub
%{_libdir}/libepub.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/epub.h
%{_includedir}/epub_shared.h
%{_libdir}/libepub.so

%changelog
* Sat Mar 28 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-3m)
- fix up package splitting

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.1.1-2m)
- rebuild against rpm-4.6

* Thu Jul 31 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.1.1-1m)
- initial build for Momonga Linux
